Skip to main content
GET
/
projects
/
{project_reference}
/
traces
/
{trace_id}
Get Project Trace
curl --request GET \
  --url https://api.veryfront.com/projects/{project_reference}/traces/{trace_id} \
  --header 'Authorization: Bearer <token>'
{
  "trace_id": "<string>",
  "root_span_name": "<string>",
  "root_service": "<string>",
  "started_at": "<string>",
  "duration_ms": 123,
  "status": "ok",
  "span_count": 123,
  "services": [
    "<string>"
  ],
  "project_id": "<string>",
  "root_span_id": "<string>",
  "spans": [
    {
      "span_id": "<string>",
      "parent_span_id": "<string>",
      "name": "<string>",
      "service": "<string>",
      "started_at": "<string>",
      "ended_at": "<string>",
      "duration_ms": 123,
      "status": "ok",
      "attributes": {},
      "events": [
        {
          "name": "<string>",
          "timestamp": "<string>",
          "attributes": {}
        }
      ]
    }
  ],
  "project_slug": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://veryfront.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required
trace_id
string
required

Trace ID

Response

Trace detail

trace_id
string
required

The trace id associated with this tool result.

root_span_name
string
required

The root span name associated with this tool result.

root_service
string
required

The root service associated with this tool result.

started_at
string
required

The started at associated with this tool result.

duration_ms
number
required

The duration ms associated with this tool result.

status
enum<string>
required

Lifecycle status for the returned record.

Available options:
ok,
error,
unset,
unknown
span_count
number
required

The span count associated with this tool result.

services
string[]
required

List of services associated with this tool result.

One service item associated with this tool result.

project_id
string
required

Project identifier associated with this result.

root_span_id
string | null
required

The root span id associated with this tool result.

spans
object[]
required

List of spans associated with this tool result.

project_slug
string

The project slug associated with this tool result.